# Information Schema TABLE\_PRIVILEGES Table

The [Information Schema](/docs/server/reference/system-tables/information-schema.md) `TABLE_PRIVILEGES` table contains table privilege information derived from the [mysql.tables\_priv](/docs/server/reference/system-tables/the-mysql-database-tables/mysql-tables_priv-table.md) grant table.

It has the following columns:

| Column          | Description                                                                                                                                                              |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| GRANTEE         | In the format user\_name\@host\_name.                                                                                                                                    |
| TABLE\_CATALOG  | Always def.                                                                                                                                                              |
| TABLE\_SCHEMA   | Database name.                                                                                                                                                           |
| TABLE\_NAME     | Table name.                                                                                                                                                              |
| PRIVILEGE\_TYPE | One of SELECT, INSERT, UPDATE, REFERENCES, ALTER, INDEX, DROP or CREATE VIEW.                                                                                            |
| IS\_GRANTABLE   | Whether the user has the [GRANT OPTION](/docs/server/reference/sql-statements/account-management-sql-statements/grant.md#the-grant-option-privilege) for this privilege. |

Similar information can be accessed with the [SHOW GRANTS](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-grants.md) statement. See the [GRANT](/docs/server/reference/sql-statements/account-management-sql-statements/grant.md) article for more about privileges.

The table only shows privileges granted on the table level. This differs from the Sys Schema [privileges\_by\_table\_by\_level view](/docs/server/reference/system-tables/sys-schema/sys-schema-views/privileges_by_table_by_level-sys-schema-view.md), which shows all privileges, broken down by table.

For a description of the privileges that are shown in this table, see [table privileges](/docs/server/reference/sql-statements/account-management-sql-statements/grant.md#table-privileges).

## See Also

* [sys.privileges\_by\_table\_by\_level](/docs/server/reference/system-tables/sys-schema/sys-schema-views/privileges_by_table_by_level-sys-schema-view.md)

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-table_privileges-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
